Blockly.Blocks["f_avanza"] = {
init: function() {
this.appendDummyInput()
   .appendField("Move forward");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("");
this.setHelpUrl("");
}};
Blockly.Blocks["f_xira"] = {
init: function() {
this.appendDummyInput()
   .appendField("Turn")
   .appendField(new Blockly.FieldDropdown([["Left","E"], ["Right","D"]]), "direccion");
this.setPreviousStatement(true, null);
this.setNextStatement(true, null);
this.setColour(230);
this.setTooltip("");
this.setHelpUrl("");
}};
Blockly.Blocks["f_mentres"] = {init: function() {this.setColour(120);this.appendDummyInput().appendField("repeat until")
.appendField(new Blockly.FieldImage("ima/fin.jpg", 12, 12));
this.appendStatementInput("DO").appendField("do");this.setPreviousStatement(true);this.setTooltip("");}};
